/*      CREATE.C - part of the FreeDAPI
        Copyright 1999 - Enrico Bartky

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <string.h>
#include <dapi.h>
#include <draw.h>
#include <alloc.h>
#include <graphics.h>
#include <misc.h>
#include <stdio.h>
#include <process.h>
#include <conio.h>

HWND CreateText(HWND window,int x, int y, char txt[255])
{
 window->Text[window->t].x=window->x+x;
 window->Text[window->t].y=window->y+y;
 strcpy(window->Text[window->t].txt,txt);
 window->t++;
 window->st=1;
 return window;
}

HWND CreateButton(HWND window, int x, int y, char txt[255])
{
 window->Button[window->b].x=window->x+x;
 window->Button[window->b].y=window->y+y;
 window->Button[window->b].x1=window->Button[window->b].x+strlen(txt)*TXTWIDTH+12;
 window->Button[window->b].y1=window->Button[window->b].y+TXTHIGH+6;
 strcpy(window->Button[window->b].txt,txt);
 window->Button[window->b].i=0;
 window->b++;
 window->sb=1;
 return window;
}

HWND CreateCheck(HWND window, int x, int y, char txt[255])
{
 window->Check[window->c].x=window->x+x;
 window->Check[window->c].y=window->y+y;
 strcpy(window->Check[window->c].txt,txt);
 window->c++;
 window->sc=1;
 return window;
}

HWND CreateEnter(HWND win, int x, int y)
{
 win->Enter[win->e].x=x;
 win->Enter[win->e].y=y;
 return win;
}

HWND CreateWindow(int x, int y, int x1, int y1, char title[255], HWND parent, int type)
{
 int i;
 #ifdef USE_EMS
  HWND Temp;
  i=DAPI_alloc(sizeof(HWND));
 #else
  HWND Temp=DAPI_alloc(1,sizeof(HWND));
 #endif
 Temp->x=x;
 Temp->parent=DAPI_alloc(1,sizeof(HWND));
 Temp->y=y;
 Temp->x1=x1;
 Temp->y1=y1;
 strcpy(Temp->title,title);
 Temp->t=0;
 Temp->st=0;
 Temp->b=0;
 Temp->sb=0;
 Temp->r=0;
 Temp->sr=0;
 Temp->c=0;
 Temp->sc=0;
 Temp->e=0;
 Temp->se=0;
 Temp->parent=parent;
 if(parent==NULL)
  Temp->active=1;
 else
 {
  Temp->active=1;
  Temp->parent->active=0;
 }
 Temp->type=type;
 return Temp;
}